Loading...
Searching...
No Matches
openvdb::v10_0::ax::ast::tokens Namespace Reference

## Enumerations

enum | CoreType { BOOL = 0 , CHAR , INT16 , INT32 , INT64 , FLOAT , DOUBLE , VEC2I , VEC2F , VEC2D , VEC3I , VEC3F , VEC3D , VEC4I , VEC4F , VEC4D , MAT3F , MAT3D , MAT4F , MAT4D , QUATF , QUATD , STRING , UNKNOWN }
enum | OperatorToken { PLUS = 0 , MINUS , MULTIPLY , DIVIDE , MODULO , AND , OR , NOT , EQUALSEQUALS , NOTEQUALS , MORETHAN , LESSTHAN , MORETHANOREQUAL , LESSTHANOREQUAL , SHIFTLEFT , SHIFTRIGHT , BITAND , BITOR , BITXOR , BITNOT , EQUALS , PLUSEQUALS , MINUSEQUALS , MULTIPLYEQUALS , DIVIDEEQUALS , MODULOEQUALS , SHIFTLEFTEQUALS , SHIFTRIGHTEQUALS , BITANDEQUALS , BITXOREQUALS , BITOREQUALS }
enum | OperatorType { ARITHMETIC = 0 , LOGICAL , RELATIONAL , BITWISE , ASSIGNMENT , UNKNOWN_OPERATOR }
enum | LoopToken { FOR = 0 , DO , WHILE }
enum | KeywordToken { RETURN = 0 , BREAK , CONTINUE }

## Functions

CoreType | tokenFromTypeString (const std::string &type)
std::string | typeStringFromToken (const CoreType type)
OperatorType | operatorType (const OperatorToken token)
OperatorToken | operatorTokenFromName (const std::string &name)
std::string | operatorNameFromToken (const OperatorToken token)
std::string | loopNameFromToken (const LoopToken loop)
std::string | keywordNameFromToken (const KeywordToken keyw)

## Enumeration Type Documentation

## CoreType

enum CoreType

Enumerator
BOOL |
CHAR |
INT16 |
INT32 |
INT64 |
FLOAT |
DOUBLE |
VEC2I |
VEC2F |
VEC2D |
VEC3I |
VEC3F |
VEC3D |
VEC4I |
VEC4F |
VEC4D |
MAT3F |
MAT3D |
MAT4F |
MAT4D |
QUATF |
QUATD |
STRING |
UNKNOWN |

## KeywordToken

enum KeywordToken

Enumerator
RETURN |
BREAK |
CONTINUE |

## LoopToken

enum LoopToken

Enumerator
FOR |
DO |
WHILE |

## OperatorToken

enum OperatorToken

Enumerator
PLUS | ARITHMETIC.
MINUS |
MULTIPLY |
DIVIDE |
MODULO |
AND | LOGICAL.
OR |
NOT |
EQUALSEQUALS | RELATIONAL.
NOTEQUALS |
MORETHAN |
LESSTHAN |
MORETHANOREQUAL |
LESSTHANOREQUAL |
SHIFTLEFT | BITWISE.
SHIFTRIGHT |
BITAND |
BITOR |
BITXOR |
BITNOT |
EQUALS | ASSIGNMENT.
PLUSEQUALS |
MINUSEQUALS |
MULTIPLYEQUALS |
DIVIDEEQUALS |
MODULOEQUALS |
SHIFTLEFTEQUALS |
SHIFTRIGHTEQUALS |
BITANDEQUALS |
BITXOREQUALS |
BITOREQUALS |

## OperatorType

enum OperatorType

Enumerator
ARITHMETIC |
LOGICAL |
RELATIONAL |
BITWISE |
ASSIGNMENT |
UNKNOWN_OPERATOR |

## Function Documentation

## keywordNameFromToken()

std::string keywordNameFromToken | ( | const KeywordToken | keyw | ) |

inline

## loopNameFromToken()

std::string loopNameFromToken | ( | const LoopToken | loop | ) |

inline

## operatorNameFromToken()

std::string operatorNameFromToken | ( | const OperatorToken | token | ) |

inline

## operatorTokenFromName()

OperatorToken operatorTokenFromName | ( | const std::string & | name | ) |

inline

## operatorType()

OperatorType operatorType | ( | const OperatorToken | token | ) |

inline

## tokenFromTypeString()

CoreType tokenFromTypeString | ( | const std::string & | type | ) |

inline

## typeStringFromToken()

std::string typeStringFromToken | ( | const CoreType | type | ) |

inline